Skip to main content
`Ctrl`+`K`

# MatCoarsenViewFromOptions

View the coarsener from the options database

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenViewFromOptions(MatCoarsen A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the coarsen context

- obj - Optional object that provides the prefix for the option name

- name - command line option (usually `-mat_coarsen_view`)

## Options Database Key

- -name [viewertype][:…] - option name and values. See `PetscObjectViewFromOptions()` for the possible arguments

## See Also

`MatCoarsen`, `MatCoarsenView()`, `PetscObjectViewFromOptions()`, `MatCoarsenCreate()`

## Level

intermediate

## Location

src/mat/graphops/coarsen/interface/coarsen.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages